<?php

namespace frontend\modules\Scorecard\controllers;


use Yii;
use app\modules\Scorecard\models\Scorecardmodel;
use yii\helpers\FileHelper;
use Mpdf\Mpdf;

class ScorecardController extends \yii\web\Controller
{

    public function actions()
    {
        return [
            'error' => [
                'class' => \yii\web\ErrorAction::class,
            ],
            'captcha' => [
                'class' => 'common\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }


    public function actionIndex()
    {


        
        $RandDatabaseName = (isset(Yii::$app->params['LANDING_DB_INI_Scorecard'], Yii::$app->params['LANDING_DB_ARR_Scorecard'])) ? Yii::$app->params['LANDING_DB_ARR_Scorecard'][Yii::$app->params['LANDING_DB_INI_Scorecard']] : 'db';
       

        $model = new Scorecardmodel();

        if ($model->load(Yii::$app->request->post()) && $model->validate()) {
            $data = Yii::$app->request->post();
            foreach ($data['Scorecardmodel'] as $key => $value) {
                if (!is_array($value)) {
                    $data['Scorecardmodel']["$key"] = Yii::$app->SanatizeInput->getInput($value);
                }
            }
            // $Day = $data['Scorecardmodel']['Day'];
            // $Month = $data['Scorecardmodel']['Month'];
            // $Year = $data['Scorecardmodel']['Year'];
            // // $dob = $Day . '-' . $Month . '-' . $Year;
            // $dob = $Year . '-' . $Month . '-' . $Day;
            // $DOB =  date('d-m-Y', strtotime($dob));

            $ApplicationNumber = trim($data['Scorecardmodel']['ApplicationNumber']);

            $LandimstData = Yii::$app->{$RandDatabaseName}->createCommand("exec getCommonDataSP :select, :input, :table")
                ->bindValue(':select', '*')
                ->bindValue(':input', "WHERE appno='" . $ApplicationNumber . "'")
                ->bindValue(':table', 'CUETUGScoreCard28julyTbl')
                ->queryOne();

            // echo '<pre>';print_r($RandDatabaseName);
            // echo '<pre>';print_r($LandimstData);die;

            if (isset($LandimstData, $LandimstData['appno'], $LandimstData['dob'], $LandimstData['DBName']) && !empty($LandimstData) && !empty($LandimstData['appno']) && !empty($LandimstData['dob']) && !empty($LandimstData['DBName'])) {

                $ApplicationNumber = trim($LandimstData['appno']);
                $DOB = $LandimstData['dob'];
                $ChildDB = $LandimstData['DBName'];

                $CandScorecardData = Yii::$app->{$ChildDB}->createCommand("exec getCommonDataSP :select, :input, :table")
                        ->bindValue(':select', '*')
                        ->bindValue(':input', "WHERE DOB='" . $DOB . "' and ApplicationNumber='" . $ApplicationNumber . "'")
                        ->bindValue(':table', 'CandidateTbl')
                        ->queryOne();
            
                // echo '<pre>';print_r($ChildDB);
                //  echo '<pre>';print_r($CandScorecardData);die;

                if (!empty($CandScorecardData)) {

                    
                    $ImagePath = Yii::$app->params['scoreCardImagePath'];
                    Yii::$app->session->set('ScorCaedDB', $ChildDB);
                    $CandidateIP = Yii::$app->request->getUserIP();
                    $CandidateDownload = 'ScorecardView';
                    $CurrentDate = date('Y-m-d H:i:s');

                    $RandChildDbName = (isset(Yii::$app->params['DB_Random_No_Arr'], Yii::$app->params['DB_select_name_Arr'])) ? Yii::$app->params['DB_select_name_Arr'][Yii::$app->params['DB_Random_No_Arr']] : 'dbOne';
       
                    $ScoreCardData = Yii::$app->{$RandChildDbName}->createCommand("exec getCommonDataSP :select, :input, :table")
                        ->bindValue(':select', '*')
                        ->bindValue(':input', "WHERE DOB='" . $DOB . "' and appno='" . $ApplicationNumber . "'")
                        ->bindValue(':table', 'CUETUGScoreCard28julyTbl')
                        ->queryOne();

                        // echo '<pre>';print_r($RandChildDbName);
                        // echo '<pre>';print_r($ScoreCardData);die;

                    $IsLogSave = Yii::$app->{$ChildDB}->createCommand("EXEC spScoreCardLog @ApplicationNumber=:ApplicationNumber,@CandidateIP=:CandidateIP,@CandidateDownload=:CandidateDownload")
                        ->bindValue(':ApplicationNumber', $ApplicationNumber)
                        ->bindValue(':CandidateIP', $CandidateIP)
                        ->bindValue(':CandidateDownload', $CandidateDownload)
                        ->execute();

                    return $this->render('score_preview', [
                        'result' => $ScoreCardData,
                        'ImagePath' => $ImagePath,
                        'SubjectDataList' => [],
                    ]);
                } else {
                    Yii::$app->session->setFlash('error', 'The login credentials you entered are invalid. Please check and try again.');
                    return $this->refresh();
                }
            } else {
                
                Yii::$app->session->setFlash('error', 'The login credentials you entered are invalid. Please check and try again.');
                // Yii::$app->session->setFlash('error', 'Sorry, Your Score Card not generated!');
                return $this->refresh();
            }
        }
        // die('test');
        return $this->render('index', [
            'model' => $model,
            'DobDate' => Yii::$app->masterdata->dayArray(),
            'DobMonth' => Yii::$app->masterdata->monthArray(),
            'DobYear' => Yii::$app->masterdata->yearArray()
        ]);
    }



    public function actionIndexOLD()
    {


        
        $RandDatabaseName = (isset(Yii::$app->params['LANDING_DB_INI_Scorecard'], Yii::$app->params['LANDING_DB_ARR_Scorecard'])) ? Yii::$app->params['LANDING_DB_ARR_Scorecard'][Yii::$app->params['LANDING_DB_INI_Scorecard']] : 'db';
       

        $model = new Scorecardmodel();

        if ($model->load(Yii::$app->request->post()) && $model->validate()) {
            $data = Yii::$app->request->post();
            foreach ($data['Scorecardmodel'] as $key => $value) {
                if (!is_array($value)) {
                    $data['Scorecardmodel']["$key"] = Yii::$app->SanatizeInput->getInput($value);
                }
            }
            $Day = $data['Scorecardmodel']['Day'];
            $Month = $data['Scorecardmodel']['Month'];
            $Year = $data['Scorecardmodel']['Year'];
            // $dob = $Day . '-' . $Month . '-' . $Year;
            $dob = $Year . '-' . $Month . '-' . $Day;
            $DOB =  date('d-m-Y', strtotime($dob));

            $ApplicationNumber = trim($data['Scorecardmodel']['ApplicationNumber']);

            $LandimstData = Yii::$app->{$RandDatabaseName}->createCommand("exec getCommonDataSP :select, :input, :table")
                ->bindValue(':select', '*')
                ->bindValue(':input', "WHERE DOB='" . $DOB . "' and appno='" . $ApplicationNumber . "'")
                ->bindValue(':table', 'CUETUGScoreCard28julyTbl')
                ->queryOne();

            // echo '<pre>';print_r($RandDatabaseName);
            // echo '<pre>';print_r($LandimstData);die;

            if (isset($LandimstData, $LandimstData['appno'], $LandimstData['dob'], $LandimstData['DBName']) && !empty($LandimstData) && !empty($LandimstData['appno']) && !empty($LandimstData['dob']) && !empty($LandimstData['DBName'])) {

                $ApplicationNumber = trim($LandimstData['appno']);
                $DOB = $LandimstData['dob'];
                $ChildDB = $LandimstData['DBName'];

                if (isset($data['Scorecardmodel']['CandidateEmail'], $data['Scorecardmodel']['CandidateMobile']) && !empty($data['Scorecardmodel']['CandidateEmail']) && !empty($data['Scorecardmodel']['CandidateMobile'])) {

                    $CandidateEmail = $data['Scorecardmodel']['CandidateEmail'];
                    $CandidateMobile = $data['Scorecardmodel']['CandidateMobile'];

                    $CandScorecardData = Yii::$app->{$ChildDB}->createCommand("exec getCommonDataSP :select, :input, :table")
                        ->bindValue(':select', '*')
                        ->bindValue(':input', "WHERE DOB='" . $DOB . "' and ApplicationNumber='" . $ApplicationNumber . "' and (CandidateMobile='" . $CandidateMobile . "' OR AlternateMobile='" . $CandidateMobile . "') OR ( CandidateEmail='" . $CandidateEmail . "' )")
                        ->bindValue(':table', 'CandidateTbl')
                        ->queryOne();

                } else if (isset($data['Scorecardmodel']['CandidateEmail']) && !empty($data['Scorecardmodel']['CandidateEmail'])) {

                    $CandidateEmail = $data['Scorecardmodel']['CandidateEmail'];

                    $CandScorecardData = Yii::$app->{$ChildDB}->createCommand("exec getCommonDataSP :select, :input, :table")
                        ->bindValue(':select', '*')
                        ->bindValue(':input', "WHERE DOB='" . $DOB . "' and ApplicationNumber='" . $ApplicationNumber . "' and (CandidateEmail='" . $CandidateEmail . "' )")
                        ->bindValue(':table', 'CandidateTbl')
                        ->queryOne();
                } else if (isset($data['Scorecardmodel']['CandidateMobile']) && !empty($data['Scorecardmodel']['CandidateMobile'])) {

                    $CandidateMobile = $data['Scorecardmodel']['CandidateMobile'];

                    $CandScorecardData = Yii::$app->{$ChildDB}->createCommand("exec getCommonDataSP :select, :input, :table")
                        ->bindValue(':select', '*')
                        ->bindValue(':input', "WHERE DOB='" . $DOB . "' and ApplicationNumber='" . $ApplicationNumber . "' and (CandidateMobile='" . $CandidateMobile . "' OR AlternateMobile='" . $CandidateMobile . "')")
                        ->bindValue(':table', 'CandidateTbl')
                        ->queryOne();
                } else {

                    $CandScorecardData = [];
                }

            
                // echo '<pre>';print_r($ChildDB);
                //  echo '<pre>';print_r($CandScorecardData);die;

                if (!empty($CandScorecardData)) {

                    
                    $ImagePath = Yii::$app->params['scoreCardImagePath'];
                    Yii::$app->session->set('ScorCaedDB', $ChildDB);
                    $CandidateIP = Yii::$app->request->getUserIP();
                    $CandidateDownload = 'ScorecardView';
                    $CurrentDate = date('Y-m-d H:i:s');

                    $RandChildDbName = (isset(Yii::$app->params['DB_Random_No_Arr'], Yii::$app->params['DB_select_name_Arr'])) ? Yii::$app->params['DB_select_name_Arr'][Yii::$app->params['DB_Random_No_Arr']] : 'dbOne';
       
                    $ScoreCardData = Yii::$app->{$RandChildDbName}->createCommand("exec getCommonDataSP :select, :input, :table")
                        ->bindValue(':select', '*')
                        ->bindValue(':input', "WHERE DOB='" . $DOB . "' and appno='" . $ApplicationNumber . "'")
                        ->bindValue(':table', 'CUETUGScoreCard28julyTbl')
                        ->queryOne();

                        // echo '<pre>';print_r($RandChildDbName);
                        // echo '<pre>';print_r($ScoreCardData);die;

                    $IsLogSave = Yii::$app->{$ChildDB}->createCommand("EXEC spScoreCardLog @ApplicationNumber=:ApplicationNumber,@CandidateIP=:CandidateIP,@CandidateDownload=:CandidateDownload")
                        ->bindValue(':ApplicationNumber', $ApplicationNumber)
                        ->bindValue(':CandidateIP', $CandidateIP)
                        ->bindValue(':CandidateDownload', $CandidateDownload)
                        ->execute();

                    return $this->render('score_preview', [
                        'result' => $ScoreCardData,
                        'ImagePath' => $ImagePath,
                        'SubjectDataList' => [],
                    ]);
                } else {
                    Yii::$app->session->setFlash('error', 'The login credentials you entered are invalid. Please check and try again.');
                    return $this->refresh();
                }
            } else {
                
                Yii::$app->session->setFlash('error', 'The login credentials you entered are invalid. Please check and try again.');
                // Yii::$app->session->setFlash('error', 'Sorry, Your Score Card not generated!');
                return $this->refresh();
            }
        }
        // die('test');
        return $this->render('index', [
            'model' => $model,
            'DobDate' => Yii::$app->masterdata->dayArray(),
            'DobMonth' => Yii::$app->masterdata->monthArray(),
            'DobYear' => Yii::$app->masterdata->yearArray()
        ]);
    }



    public function actionResultqr()
    {
        $data = Yii::$app->request->get();

        if ((isset($data['applicationNumber'])) && !empty($data['applicationNumber']) && !empty(base64_decode(base64_decode($data['applicationNumber'])))) {

            $RandDatabaseName = (isset(Yii::$app->params['LANDING_DB_INI_Scorecard'], Yii::$app->params['LANDING_DB_ARR_Scorecard'])) ? Yii::$app->params['LANDING_DB_ARR_Scorecard'][Yii::$app->params['LANDING_DB_INI_Scorecard']] : 'db';
       
            $ApplicationNumber = base64_decode(base64_decode($data['applicationNumber']));
           

            $LandimstData = Yii::$app->{$RandDatabaseName}->createCommand("exec getCommonDataSP :select, :input, :table")
                ->bindValue(':select', '*')
                ->bindValue(':input', "WHERE appno='" . $ApplicationNumber . "'")
                ->bindValue(':table', 'CUETUGScoreCard28julyTbl')
                ->queryOne();

            if (isset($LandimstData, $LandimstData['appno'], $LandimstData['dob'], $LandimstData['DBName']) && !empty($LandimstData) && !empty($LandimstData['appno']) && !empty($LandimstData['dob']) && !empty($LandimstData['DBName'])) {

                    $ApplicationNumber = trim($LandimstData['appno']);
                    $DOB = $LandimstData['dob'];
                    $ChildDB = $LandimstData['DBName'];  

                    $RandChildDbName = (isset(Yii::$app->params['DB_Random_No_Arr'], Yii::$app->params['DB_select_name_Arr'])) ? Yii::$app->params['DB_select_name_Arr'][Yii::$app->params['DB_Random_No_Arr']] : 'dbOne';
       
                    $ScoreCardData = Yii::$app->{$RandChildDbName}->createCommand("exec getCommonDataSP :select, :input, :table")
                        ->bindValue(':select', '*')
                        ->bindValue(':input', "WHERE DOB='" . $DOB . "' and appno='" . $ApplicationNumber . "'")
                        ->bindValue(':table', 'CUETUGScoreCard28julyTbl')
                        ->queryOne();


                        $ImagePath = Yii::$app->params['scoreCardImagePath'];
                        Yii::$app->session->set('ScorCaedDB', $ChildDB);
                        $CandidateIP = Yii::$app->request->getUserIP();
                        $CandidateDownload = 'ScorecardView';
                        $CurrentDate = date('Y-m-d H:i:s');

                        $IsLogSave = Yii::$app->{$ChildDB}->createCommand("EXEC spScoreCardLog @ApplicationNumber=:ApplicationNumber,@CandidateIP=:CandidateIP,@CandidateDownload=:CandidateDownload")
                            ->bindValue(':ApplicationNumber', $ApplicationNumber)
                            ->bindValue(':CandidateIP', $CandidateIP)
                            ->bindValue(':CandidateDownload', $CandidateDownload)
                            ->execute();

                        return $this->render('score_preview', [
                            'result' => $ScoreCardData,
                            'ImagePath' => $ImagePath,
                            'SubjectDataList' => [],
                        ]);
                    

            } else {
                Yii::$app->session->setFlash('error', 'Some thing went wrong!');
                return $this->redirect('index');
            }
            // echo '<pre>';print_r($RandDatabaseName);

            //  echo '<pre>';print_r($CandScorecardData);die;

            if (!empty($CandScorecardData)) {

                $ImagePath = Yii::$app->params['scoreCardImagePath'];
                Yii::$app->session->set('ScorCaedDB', $RandDatabaseName);

                $candiApplicationNo = trim($ApplicationNumber);
                $CandidateIP = Yii::$app->request->getUserIP();
                $CandidateDownload = 'ScorecardView';
                $CurrentDate = date('Y-m-d H:i:s');

                $IsLogSave = Yii::$app->{$RandDatabaseName}->createCommand("EXEC spScoreCardLog @ApplicationNumber=:ApplicationNumber,@CandidateIP=:CandidateIP,@CandidateDownload=:CandidateDownload")
                    ->bindValue(':ApplicationNumber', $candiApplicationNo)
                    ->bindValue(':CandidateIP', $CandidateIP)
                    ->bindValue(':CandidateDownload', $CandidateDownload)
                    ->execute();

                return $this->render('score_preview', [
                    'result' => $CandScorecardData,
                    'ImagePath' => $ImagePath,
                    'SubjectDataList' => [],
                ]);
            } else {
                Yii::$app->session->setFlash('error', 'Sorry, Your Score Card not generated!');
                return $this->redirect('index');
            }
        } else {
            Yii::$app->session->setFlash('error', 'Some thing went wrong!');
            return $this->redirect('index');
        }
    }
    // For log generate
    public function actionPrintClick()
    {
        $DB = Yii::$app->session->get('ScorCaedDB');
        $model = new Scorecardmodel();
        if ($this->request->isPost && !empty($DB)) {
            $data = Yii::$app->request->post();
            // echo '<pre>';print_r($data); die;
            if (isset($data['applicationNumber'])) {
                $candiApplicationNo = trim($data['applicationNumber']);
                $CandidateIP = Yii::$app->request->getUserIP();
                $CandidateDownload = 'ScorecardPrint';
                $CurrentDate = date('Y-m-d H:i:s');

                $IsLogSave = Yii::$app->{$DB}->createCommand("EXEC spScoreCardLog @ApplicationNumber=:ApplicationNumber,@CandidateIP=:CandidateIP,@CandidateDownload=:CandidateDownload")
                    ->bindValue(':ApplicationNumber', $candiApplicationNo)
                    ->bindValue(':CandidateIP', $CandidateIP)
                    ->bindValue(':CandidateDownload', $CandidateDownload)
                    ->execute();

                if (!empty($IsLogSave)) {
                    echo 1;
                    die;
                }
            }
        }
    }
}
