<?php

namespace frontend\modules\Scorecard\controllers;


use Yii;
use app\modules\Scorecard\models\Scorecardmodel;
use yii\helpers\FileHelper;
use Mpdf\Mpdf;

class ScorecardController extends \yii\web\Controller
{

    public function actions()
    {
        return [
            'error' => [
                'class' => \yii\web\ErrorAction::class,
            ],
            'captcha' => [
                'class' => 'common\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }




    public function actionIndex()
    {

        $RandDatabaseName = (isset(Yii::$app->params['DB_select_ScoreCard'], Yii::$app->params['DB_Random_ScoreCard'])) ? Yii::$app->params['DB_select_ScoreCard'][Yii::$app->params['DB_Random_ScoreCard']] : 'dbOne';

        $model = new Scorecardmodel();

        if ($model->load(Yii::$app->request->post()) && $model->validate()) {
            $data = Yii::$app->request->post();
            foreach ($data['Scorecardmodel'] as $key => $value) {
                if (!is_array($value)) {
                    $data['Scorecardmodel']["$key"] = Yii::$app->SanatizeInput->getInput($value);
                }
            }
            $Day = $data['Scorecardmodel']['Day'];
            $Month = $data['Scorecardmodel']['Month'];
            $Year = $data['Scorecardmodel']['Year'];
            // $dob = $Day . '-' . $Month . '-' . $Year;
            $dob = $Year . '-' . $Month . '-' . $Day;
            $DOB =  date('d-m-Y', strtotime($dob));

            $ApplicationNumber = trim($data['Scorecardmodel']['ApplicationNumber']);


            if (isset($data['Scorecardmodel']['CandidateEmail'], $data['Scorecardmodel']['CandidateMobile']) && !empty($data['Scorecardmodel']['CandidateEmail']) && !empty($data['Scorecardmodel']['CandidateMobile'])) {

                $CandidateEmail = $data['Scorecardmodel']['CandidateEmail'];
                $CandidateMobile = $data['Scorecardmodel']['CandidateMobile'];

                $CandScorecardData = Yii::$app->{$RandDatabaseName}->createCommand("exec getCommonDataSP :select, :input, :table")
                    ->bindValue(':select', '*')
                    ->bindValue(':input', "WHERE DOB='" . $DOB . "' and appno='" . $ApplicationNumber . "' and (CandidateMobile='" . $CandidateMobile . "' OR CandidateEmail='" . $CandidateEmail . "' )")
                    ->bindValue(':table', 'CUETUGScoreCardSampleTbl')
                    ->queryOne();
            } else if (isset($data['Scorecardmodel']['CandidateEmail']) && !empty($data['Scorecardmodel']['CandidateEmail'])) {

                $CandidateEmail = $data['Scorecardmodel']['CandidateEmail'];

                $CandScorecardData = Yii::$app->{$RandDatabaseName}->createCommand("exec getCommonDataSP :select, :input, :table")
                    ->bindValue(':select', '*')
                    ->bindValue(':input', "WHERE DOB='" . $DOB . "' and appno='" . $ApplicationNumber . "' and (CandidateEmail='" . $CandidateEmail . "' )")
                    ->bindValue(':table', 'CUETUGScoreCardSampleTbl')
                    ->queryOne();
            } else if (isset($data['Scorecardmodel']['CandidateMobile']) && !empty($data['Scorecardmodel']['CandidateMobile'])) {

                $CandidateMobile = $data['Scorecardmodel']['CandidateMobile'];

                $CandScorecardData = Yii::$app->{$RandDatabaseName}->createCommand("exec getCommonDataSP :select, :input, :table")
                    ->bindValue(':select', '*')
                    ->bindValue(':input', "WHERE DOB='" . $DOB . "' and appno='" . $ApplicationNumber . "' and (CandidateMobile='" . $CandidateMobile . "' )")
                    ->bindValue(':table', 'CUETUGScoreCardSampleTbl')
                    ->queryOne();
            } else {

                $CandScorecardData = [];
            }

            // $CandidateEmail = $data['Scorecardmodel']['CandidateEmail'];
            // $CandidateMobile = $data['Scorecardmodel']['CandidateMobile'];

            // $CandScorecardData = Yii::$app->{$RandDatabaseName}->createCommand("exec getCommonDataSP :select, :input, :table")
            // ->bindValue(':select', '*')
            // ->bindValue(':input', "WHERE DOB='" . $DOB . "' and appno='" . $ApplicationNumber . "' and (CandidateMobile='".$CandidateMobile."' OR CandidateEmail='".$CandidateEmail."' )")
            // ->bindValue(':table', 'CUETUGScoreCardSampleTbl')
            // ->queryOne();

            // echo '<pre>';print_r($RandDatabaseName);

            //  echo '<pre>';print_r($CandScorecardData);die;

            if (!empty($CandScorecardData)) {

                $ImagePath = Yii::$app->params['scoreCardImagePath'];
                Yii::$app->session->set('ScorCaedDB', $RandDatabaseName);

                $candiApplicationNo = trim($ApplicationNumber);
                $CandidateIP = Yii::$app->request->getUserIP();
                $CandidateDownload = 'ScorecardView';
                $CurrentDate = date('Y-m-d H:i:s');

                $IsLogSave = Yii::$app->{$RandDatabaseName}->createCommand("EXEC spScoreCardLog @ApplicationNumber=:ApplicationNumber,@CandidateIP=:CandidateIP,@CandidateDownload=:CandidateDownload")
                    ->bindValue(':ApplicationNumber', $candiApplicationNo)
                    ->bindValue(':CandidateIP', $CandidateIP)
                    ->bindValue(':CandidateDownload', $CandidateDownload)
                    ->execute();

                return $this->render('score_preview', [
                    'result' => $CandScorecardData,
                    'ImagePath' => $ImagePath,
                    'SubjectDataList' => [],
                ]);
            } else {
                Yii::$app->session->setFlash('error', 'Sorry, Your Score Card not generated!');
                return $this->refresh();
            }
        }
        // die('test');
        return $this->render('index', [
            'model' => $model,
            'DobDate' => Yii::$app->masterdata->dayArray(),
            'DobMonth' => Yii::$app->masterdata->monthArray(),
            'DobYear' => Yii::$app->masterdata->yearArray()
        ]);
    }


    
    public function actionIndexTesting()
    {

        $RandDatabaseName = (isset(Yii::$app->params['DB_select_ScoreCard'], Yii::$app->params['DB_Random_ScoreCard'])) ? Yii::$app->params['DB_select_ScoreCard'][Yii::$app->params['DB_Random_ScoreCard']] : 'dbOne';

        $DOB =  '29-01-2006';
        $ApplicationNumber = '243551057622';


        $CandScorecardData = Yii::$app->{$RandDatabaseName}->createCommand("exec getCommonDataSP :select, :input, :table")
            ->bindValue(':select', '*')
            ->bindValue(':input', "WHERE DOB='" . $DOB . "' and APPNO='" . $ApplicationNumber . "'")
            ->bindValue(':table', 'CUETUGScoreCardSampleTbl')
            ->queryOne();


        $SubjectDataArray = [
            [
                "SubjectCode" => 102,
                "SubjectName" => 'English',
                "MaxMarks" => 100,
                "OMFig" => 55,
                "OMWord" => 'Fifty Five Only',
            ],
            [
                "SubjectCode" => 103,
                "SubjectName" => 'Bio',
                "MaxMarks" => 100,
                "OMFig" => 53,
                "OMWord" => 'Fifty Three Only',
            ],
            [
                "SubjectCode" => 104,
                "SubjectName" => 'Hindi',
                "MaxMarks" => 100,
                "OMFig" => 55,
                "OMWord" => 'Fifty Five Only',
            ],
            [
                "SubjectCode" => 104,
                "SubjectName" => 'Hindi',
                // "SubjectName" => 'Hindi', 
                "MaxMarks" => 100,
                "OMFig" => 55,
                "OMWord" => 'Fifty Five Only',
            ]
        ];



        $ImagePath = Yii::$app->params['scoreCardImagePath'];
        Yii::$app->session->set('ScorCaedDB', $RandDatabaseName);

        $candiApplicationNo = trim($ApplicationNumber);
        $CandidateIP = Yii::$app->request->getUserIP();
        $CandidateDownload = 'ScorecardView';
        $CurrentDate = date('Y-m-d H:i:s');

        // echo '<pre>';print_r($CandScorecardData);die;
        return $this->render('score_preview', [
            'result' => $CandScorecardData,
            'ImagePath' => $ImagePath,
            'SubjectDataList' => $SubjectDataArray,
        ]);
    }



    public function actionResultqr()
    {
        $data = Yii::$app->request->get();

        if ((isset($data['applicationNumber'],$data['hashkey'])) && !empty($data['applicationNumber']) && !empty($data['hashkey']) && !empty(base64_decode($data['applicationNumber'])) && !empty(base64_decode($data['applicationNumber']))) {

            $RandDatabaseName = (isset(Yii::$app->params['DB_select_ScoreCard'], Yii::$app->params['DB_Random_ScoreCard'])) ? Yii::$app->params['DB_select_ScoreCard'][Yii::$app->params['DB_Random_ScoreCard']] : 'dbOne';

            $ApplicationNumber = base64_decode($data['applicationNumber']);
            $HashKey = base64_decode($data['hashkey']);

            $CandScorecardData = Yii::$app->{$RandDatabaseName}->createCommand("exec getCommonDataSP :select, :input, :table")
                ->bindValue(':select', '*')
                ->bindValue(':input', "WHERE APPNO='" . $ApplicationNumber . "' and Hashkey='" . $HashKey . "'")
                ->bindValue(':table', 'CUETUGScoreCardSampleTbl')
                ->queryOne();

            // echo '<pre>';print_r($RandDatabaseName);

            //  echo '<pre>';print_r($CandScorecardData);die;

            if (!empty($CandScorecardData)) {

                $ImagePath = Yii::$app->params['scoreCardImagePath'];
                Yii::$app->session->set('ScorCaedDB', $RandDatabaseName);

                $candiApplicationNo = trim($ApplicationNumber);
                $CandidateIP = Yii::$app->request->getUserIP();
                $CandidateDownload = 'ScorecardView';
                $CurrentDate = date('Y-m-d H:i:s');

                $IsLogSave = Yii::$app->{$RandDatabaseName}->createCommand("EXEC spScoreCardLog @ApplicationNumber=:ApplicationNumber,@CandidateIP=:CandidateIP,@CandidateDownload=:CandidateDownload")
                    ->bindValue(':ApplicationNumber', $candiApplicationNo)
                    ->bindValue(':CandidateIP', $CandidateIP)
                    ->bindValue(':CandidateDownload', $CandidateDownload)
                    ->execute();

                return $this->render('score_preview', [
                    'result' => $CandScorecardData,
                    'ImagePath' => $ImagePath,
                    'SubjectDataList' => [],
                ]);
            } else {
                Yii::$app->session->setFlash('error', 'Sorry, Your Score Card not generated!');
                return $this->redirect('index');
            }
        } else {
            Yii::$app->session->setFlash('error', 'Some thing went wrong!');
            return $this->redirect('index');
        }
    }
    // For log generate
    public function actionPrintClick()
    {
        $DB = Yii::$app->session->get('ScorCaedDB');
        $model = new Scorecardmodel();
        if ($this->request->isPost && !empty($DB)) {
            $data = Yii::$app->request->post();
            // echo '<pre>';print_r($data); die;
            if (isset($data['applicationNumber'])) {
                $candiApplicationNo = trim($data['applicationNumber']);
                $CandidateIP = Yii::$app->request->getUserIP();
                $CandidateDownload = 'ScorecardPrint';
                $CurrentDate = date('Y-m-d H:i:s');

                $IsLogSave = Yii::$app->{$DB}->createCommand("EXEC spScoreCardLog @ApplicationNumber=:ApplicationNumber,@CandidateIP=:CandidateIP,@CandidateDownload=:CandidateDownload")
                    ->bindValue(':ApplicationNumber', $candiApplicationNo)
                    ->bindValue(':CandidateIP', $CandidateIP)
                    ->bindValue(':CandidateDownload', $CandidateDownload)
                    ->execute();

                if (!empty($IsLogSave)) {
                    echo 1;
                    die;
                }
            }
        }
    }


}
