<?php

namespace app\modules\Scorecard\models;

use Yii;
use yii\base\Model;
use app\models\User;

/**
 * This is the model class for table "CandidateTbl".
 *
 * @property int $ID
 * @property string|null $ApplicationNumber
 * @property string|null $CandidateName
 * @property string|null $CandidateEmail
 * @property string|null $CandidateMobile
 * @property string|null $AlternateMobile
 * @property string|null $Password
 * @property string|null $FatherName
 * @property string|null $MotherName
 * @property string|null $DOB
 * @property string|null $GenderID
 * @property string|null $IdentityID
 * @property string|null $IdentityNumber
 * @property string|null $SecurityQuestionID
 * @property string|null $SecurityAnswer
 * @property int|null $IsAadharNumber
 * @property string|null $AadharNumber
 * @property string|null $NameOnAadhar
 * @property string|null $DOBOnAadhar
 * @property string|null $GenderOnAadharID
 * @property int|null $IsAadharOptions
 * @property string|null $AadharSelectedOption
 * @property string|null $NationalityID
 * @property string|null $CastCategoryID
 * @property int|null $PhysicalDisability
 * @property int|null $IsDiabetic
 * @property int|null $AnnualIncome
 * @property int|null $MinorityCommunity
 * @property string|null $QuestionPaperMediumID
 * @property int|null $IsConfirm
 * @property string|null $RegisteredDate
 * @property string|null $ApplicationSubmitDate
 * @property string|null $LastLoginDate
 * @property string|null $ModifyBy
 * @property string|null $ModifyDate
 * @property string|null $CandidateIP
 * @property int|null $IsActive
 * @property string $AuthKey
 * @property string $VerificationToken
 * @property int $Status
 * @property string $PasswordResetToken
 */
class Scorecardbetmodel extends \yii\db\ActiveRecord
{
    public $Day, $Month, $Year;
    public $verifyCode;

    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'CandidateTbl';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [

            [['ApplicationNumber'], 'string', 'max' => 50],
            [['DOB'], 'string', 'max' => 30],
            [['ApplicationNumber', 'Day', 'Month', 'Year', 'verifyCode'], 'required'],
            [['ApplicationNumber', 'Day', 'Month', 'Year'], 'trim'],
            [['verifyCode'], 'captcha', 'captchaAction' => '/Auth/registration/captcha'],


        ];
    }

    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'ApplicationNumber' => 'Application No./Email',
            'Day' => 'Date',
            'Month' => 'Month',
            'Year' => 'Year'
        ];
    }
}
