<?php

use yii\bootstrap5\Html;
use yii\bootstrap5\ActiveForm;
use yii\captcha\Captcha;
use yii\helpers\Url;
use edwinhaq\simpleloading\SimpleLoading;

SimpleLoading::widget();

$this->title = 'NTA - National Testing Agency';

/** @var yii\web\View $this */
/** @var app\modules\registration\models\Registration $model */
/** @var yii\widgets\ActiveForm $form */
?>
<style>
    .justify-content-center {
        margin-bottom: 0px !important;
    }

    .text-upper {
        text-transform: uppercase
    }

    .footer {
        position: fixed;
        bottom: 0px;
        left: 0px;
        right: 0px;
        margin-bottom: 0px;
    }
</style>

<!-- <div class="content-body"> -->
<?php $form = ActiveForm::begin(['id' => 'registration-form', 'options' => ['autocomplete' => 'off']]); ?>
<div class="card card-white mb-4">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-normal text-head-color head-color"><i class="fa fa-edit"></i> Score Card </h6>
    </div>

    <div class="card-body">
        <div class="row">
            <div class="col-sm-12">
                <br>
                <strong style="color:#0d6efd;font-size:18px"> Please check your photo and QRcode on your score card. If either is missing, please re-download it, as your score card is invalid without both the photo and QRcode.

                </strong>

                <br /><br>
            </div>
            <div class="col-sm-6 offset-4">
                <?php if (Yii::$app->session->hasFlash('advSuccess')) { ?>
                    <div class=" pt-1 pb-1 alert alert-success" align="center">
                        <?= Yii::$app->session->getFlash('advSuccess') ?>
                    </div>
                <?php } else if (Yii::$app->session->hasFlash('error')) { ?>
                    <div class="alert  pt-1 pb-1 alert-danger" align="center">
                        <?= Yii::$app->session->getFlash('error') ?>.
                        <button type="button" class="btn-close" data-bs-dismiss="alert" style="font-size:12px;float:right;margin:-16px;"></button>
                    </div>
                <?php } ?>
            </div>
        </div>
        <div class="row mb-3">
            <label class="col-sm-4 text-end col-form-label required-asterisk">Application No.<!--/Email--></label>
            <div class="col-sm-6">
                <?= $form->field($model, 'ApplicationNumber')
                    ->textInput([
                        'autofocus' => true,
                        'maxlength' => true,
                        'class' => "form-control form-control-sm",
                        'maxlength' => "50"
                    ])->label(false) ?>
            </div>
        </div>
        <div class="row mb-3">
            <label class="col-sm-4 text-end col-form-label required-asterisk">Date of Birth</label>
            <div class="col-sm-2">
                <?= $form->field($model, 'Day')->dropDownList(
                    $DobDate,
                    [
                        'prompt' => '--Day--', 'id' => 'Day',
                        'class' => "form-select form-select-sm",
                        // 'onchange' => "return lastdayofmonth()",
                    ],
                )->label(false) ?>
            </div>
            <div class="col-sm-2">
                <?= $form->field($model, 'Month')->dropDownList(
                    $DobMonth,
                    [
                        'prompt' => '--Month--',
                        'id' => 'Month',
                        'class' => "form-select form-select-sm",
                        // 'onchange' => "return lastdayofmonth()",
                    ],
                )->label(false) ?>
            </div>
            <div class="col-sm-2">
                <?= $form->field($model, 'Year')->dropDownList(
                    $DobYear,
                    [
                        'prompt' => '--Year--',
                        'id' => 'Year',
                        'class' => "form-select form-select-sm"
                    ]
                )->label(false) ?>
            </div>
        </div>

        <div class="row">
            <label class="col-sm-4 text-end col-form-label required-asterisk">Candidate Email</label>
            <div class="col-sm-6">
                <?= $form->field($model, 'CandidateEmail')
                    ->textInput([
                        'autofocus' => true,
                        'maxlength' => true,
                        'class' => "form-control form-control-sm",
                        'maxlength' => "50",
                        'onpaste' => "return false;",
                        'ondrop' => "return false;"
                    ])->label(false) ?>
            </div>
        </div>
        <div class="row mb-2" style="text-align: center;">
            <strong style="font-size: medium;">OR</strong>
        </div>
        <div class="row mb-3">
            <label class="col-sm-4 text-end col-form-label required-asterisk">Candidate Mobile</label>
            <div class="col-sm-6">
                <?= $form->field($model, 'CandidateMobile')
                    ->textInput([
                        'autofocus' => true,
                        'maxlength' => true,
                        'class' => "form-control form-control-sm",
                        'maxlength' => "15",
                        'minlength' => "6",
                        'onpaste' => "return false;",
                        'ondrop' => "return false;"
                    ])->label(false) ?>
            </div>
        </div>

        <div class="row mb-3">
            <label class="col-sm-4 text-end col-form-label required-asterisk">Enter Security Pin(Case Sensitive)</label>
            <div class="col-sm-6">
                <?= $form->field($model, 'verifyCode')->widget(Captcha::className(), [
                    'captchaAction' => '/Auth/registration/captcha',
                    'template' => '<div class="row"><div class="col-lg-4">{image} <a href="javascript:;" id="refresh_captcha"><i class="fa fa-refresh green-color"></i></a></div><div class="col-lg-8">{input}</div></div>',
                ])->label(false) ?>

            </div>
        </div>
        <div class="row mb-5">
            <div class="col-sm-5 offset-4">
                <?= Html::submitButton('<i class="ri-save-line float-start me-1"></i> Submit', ['class' => 'btn btn-sm btn-primary active bt-bgc']) ?>
            </div>
        </div>
    </div>
</div>
<?php ActiveForm::end(); ?>
<!-- </div> -->

<?php
$this->registerJsFile('@web/js/comman.js');
$this->registerJs('
      
        $(document).ready(function () {
            $("#refresh_captcha").click(function (event) {
                event.preventDefault();
                $(this).parent().children(\'img\').click();
                $("#candidate-verifycode").val("");
                $("#candidate-verifycode").removeClass("is-valid")
            });
            // $("#Month").change(function (event) {
            //     var month = $(this).val();
            //     var day = $("#Day").val();
            //     if(month=="02" && day>29){
            //         $("#Day").val("");
            //     }
            // });
            // $("#Day").change(function (event) {
            //     var day = $(this).val();
            //     var month = $("#Month").val();
            //     if(month=="02" && day>29){
            //         $("#Day").val("");
            //     }
            // });
            
        });
      
        $(document).ready(function (){
            $(".form-control").addClass("form-control-sm");
            $("#refresh_captcha").click();    
        });

        $(document).ready(function (){
            $("#scorecardmodel-candidateemail").blur(function(){
                $("#scorecardmodel-candidatemobile").blur();
            });  
            $("#scorecardmodel-candidatemobile").blur(function(){
                $("#scorecardmodel-candidateemail").blur();
            });  
        });
        
         ');

?>