<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\captcha\captcha;
//use yii\captchaPDetail\captchaPDetail;
use app\modules\application\models\GenderMst;
use app\modules\application\models\CountryMst;
use app\modules\application\models\CasteCategoryMst;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;

use diggindata\kjua\QrCodeWidget;
use PhpParser\Node\Stmt\Foreach_;

$NtaNumber = 123456;
$appno = $result['APPNO'];
?>
<!DOCTYPE html>
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Score Card List</title>
    <style>
        .qr-code {
            height: 119px;
            width: 133px;
        }

        /*this css work on print page default date time and page title print on page */
        /*@page { size: auto;  margin: 5mm 5mm; }*/
        /*End of this css work on print page default date time and page title print on page */
        body {
            font-family: Arial, Helvetica, sans-serif;
            font-size: 14px;
            line-height: 22px;
            color: #000;
        }

        p {
            margin-top: 0;
            margin-bottom: 0;
        }

        .logo {
            float: left;
            margin-right: 10px;
        }

        .logo_name {
            float: left;
            margin-top: 13px;
            font-size: 14px;
            font-weight: bold;
        }

        table tr td {
            padding: 2px 5px 5px 10px;
            border: 1px solid;
        }

        .centerContent {
            text-align: center;
        }

        .footer,
        .header-main,
        .topnavigation {
            display: none
        }

        marquee {
            display: none;
        }

        .content-body {
            padding: 0px !important;
        }

        @media print {
            table {
                page-break-inside: auto;
                line-height: 13px;
                font-size: 11px;
            }

            .no-qrcode {
                display: none;
            }

            #printPageButton {
                display: none;
            }

            tr {
                page-break-inside: avoid;
                page-break-after: auto
            }

            table tr td {
                padding: 2px 3px 3px 5px;
                border: 1px solid;
            }

            #printPageButton {
                display: none;
            }

            .midlogo {
                width: 150px;
                font-size: 10px;
                text-align: justify;
                line-height: 20px;
            }

            .imp-point ol li {
                font-size: 10px;
                line-height: 10px;
            }

        }

        @media only screen and (max-width: 768px) {

            /* For mobile phones: */
            .score-card2 {
                width: 170%;
            }
        }

        .scorecard_header {
            margin-bottom: 9px !important;
            margin-top: 4px !important;
        }


        table.separate-border {
            margin-bottom: -1px; /* Adjust this value based on your border width */
        }


    </style>
    <link href='https://fonts.googleapis.com/css?family=Libre Barcode 128 Text' rel='stylesheet'>
</head>

<body>
    <table class="score-table score-card2 scorecard_header" width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
            <th align="left" scope="col" width="10%"><img src="<?php echo Url::base() ?>/images/scorecard_leftimg.png" width="90" style="width: 150px;"></th>
            <th align="center" scope="col" width="33%" style="font-size:13px;text-align: center;">
                <span class="midlogo"><strong>
                        NATIONAL TESTING AGENCY <BR>
                        <?= Yii::$app->params['HeaderCentreText_ENGLISH'] ?> <BR>SCORE CARD
                    </strong></span>
            </th>
            <th align="right" scope="col" width="10%" style="font-size:14px;text-align: right;" width="90">
                <img width="150" src="<?php echo Url::base() ?>/images/scorecard_rightimg.png" />
            </th>
        </tr>
    </table>
    <table class="score-table" width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
            <th align="center" scope="col" style="font-size:14px;text-align: center;width:100%;" colspan="2">
            </th>
            <th>
                <input type="button" id="printPageButton" value="Print" onclick="window.print()" />
            </th>
        </tr>
    </table>

    <table width="100%" border="1" cellspacing="0" cellpadding="5" style="border-collapse: collapse; border-color: #000;" class="score-table score-card2 separate-border">
        <tbody>
            <tr>
                <input type="hidden" value="<?= $appno; ?>" id="applicationNumber">
                <td><Strong>Application Number:</Strong></td>
                <td colspan="3"> <?= (isset($result['APPNO']) && $result['APPNO'] != '') ? intval($result['APPNO']) : ''; ?></td>

                <td rowspan="5" style="width: 20%; text-align: center;">
                    <?php
                        //$result['CandidatePhoto'] = '250310000027/D0001_1720178620.jpg'; //Staging
                    $CandidatePhotoUrl = (!empty($ImagePath)) ? $ImagePath . $result['CandidatePhoto'] : null;
                    if (isset($result['CandidatePhoto']) && !empty($result['CandidatePhoto']) && !empty(@getimagesize($CandidatePhotoUrl))) {
                        echo Html::img($CandidatePhotoUrl, ['alt' => 'CandidatePhoto', 'height' => '130', 'width' => '136']);
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td><Strong>Candidate's Name:</Strong></td>
                <td colspan="3"><?= ucwords(strtoupper((isset($result['CNAME']) && $result['CNAME'] != '') ? $result['CNAME'] : '--')) ?> </td>
            </tr>
            <tr>
                <td><Strong>Mother's Name:</Strong></td>
                <td colspan="3"><?= ucwords(strtoupper((isset($result['MNAME']) && $result['MNAME'] != '') ? $result['MNAME'] : '--')) ?></td>
            </tr>
            <tr>
                <td><Strong>Father's Name:</Strong></td>
                <td colspan="3"><?= ucwords(strtoupper((isset($result['FNAME']) && $result['FNAME'] != '') ? $result['FNAME'] : '--')) ?></td>
            </tr>
            <tr>
                <td width="20%"><Strong>Category:</Strong></td>
                <td width="25%"><?= ucwords(strtoupper((isset($result['CAT']) && $result['CAT'] != '') ? $result['CAT'] : '--')) ?></td>
                <td width="15%"><Strong>Person With Benchmark Disability (PwBD):</Strong></td>
                <td width="25%"><?= ucwords(strtoupper((isset($result['PWD']) && $result['PWD'] != '') ? $result['PWD'] : '--')) ?></td>
            </tr>
            <tr>
                <td><Strong>Gender:</Strong></td>
                <td><?= ucwords(strtoupper((isset($result['GENDER']) && $result['GENDER'] != '') ? $result['GENDER'] : '--')) ?></td>
                <td><Strong>Date of Birth:</Strong></td>
                <td><?= (isset($result['DOB']) && $result['DOB'] != '') ? $result['DOB'] : '--' ?></td>
                <td rowspan="2" style="text-align: center;">
                    <?php
                    // $result['CandidateSign'] = '250310000027/D0002_1720178627.jpg'; // Staging
                    $CandidateSignUrl = (!empty($ImagePath)) ? $ImagePath . $result['CandidateSign'] : null;
                    if (isset($result['CandidatePhoto']) && !empty($result['CandidatePhoto']) && !empty(@getimagesize($CandidateSignUrl))) {
                        echo Html::img($CandidateSignUrl, ['alt' => 'CandidateSign', 'height' => '60', 'width' => '136']);
                    }
                    ?>
                </td>
            </tr>
        </tbody>
    </table>


    <table width="100%" border="0" cellspacing="0" cellpadding="5" style="border-collapse: collapse; border-color: #000;text-align: center;" class="score-table score-card2">
        <tbody>
            <tr>
                <td colspan="4"><Strong>Score Card Details</Strong></td>
                <td><Strong><?= (isset($result['HashKey']) && $result['HashKey'] != '') ? ($result['HashKey']) : ''; ?></Strong></td>
            </tr>
            <tr>
                <td colspan="2" align="center" width="33%"><Strong>Subject</Strong></td>
                <td rowspan="2" width="33%"><Strong>Maximum Marks </Strong></td>
                <td colspan="2" align="center" width="33%"><Strong>Marks Obtained</Strong></td>
            </tr>

            <tr>
                <td width="16%"><Strong>Code</Strong></td>
                <td width="16%"><Strong>Name</Strong></td>
                <td width="16%"><Strong>(In Figures)</Strong></td>
                <td width="16%"><Strong>(In Words)</Strong></td>
            </tr>
            <?php if (isset($result['SUB_1']) && !empty($result['SUB_1'])) { ?>
                <tr>
                    <td><?php echo (isset($result['SUB_1']) && $result['SUB_1'] != '') ? $result['SUB_1'] : '--' ?></td>
                    <td><?php echo ucwords(strtoupper((isset($result['SNAME_1']) && $result['SNAME_1'] != '') ? $result['SNAME_1'] : '--')) ?></td>
                    <td><?php echo (isset($result['MaxMarks']) && $result['MaxMarks'] != '') ? $result['MaxMarks'] : '--' ?> </td>
                    <td><?php echo (isset($result['MRK1']) && $result['MRK1'] != '') ? $result['MRK1'] : '--' ?></td>
                    <td><?php echo (isset($result['MRK_FIG1']) && $result['MRK_FIG1'] != '') ? $result['MRK_FIG1'] : '--' ?></td>
                </tr>
            <?php } ?>

            <?php if (isset($result['SUB_2']) && !empty($result['SUB_2'])) { ?>
                <tr>
                    <td><?php echo (isset($result['SUB_2']) && $result['SUB_2'] != '') ? $result['SUB_2'] : '--' ?></td>
                    <td><?php echo ucwords(strtoupper((isset($result['SNAME_2']) && $result['SNAME_2'] != '') ? $result['SNAME_2'] : '--')) ?></td>
                    <td><?php echo (isset($result['MaxMarks']) && $result['MaxMarks'] != '') ? $result['MaxMarks'] : '--' ?> </td>

                    <td><?php echo (isset($result['MRK2']) && $result['MRK2'] != '') ? $result['MRK2'] : '--' ?></td>
                    <td><?php echo (isset($result['MRK_FIG2']) && $result['MRK_FIG2'] != '') ? $result['MRK_FIG2'] : '--' ?></td>
                </tr>
            <?php } ?>

            <?php if (isset($result['SUB_3']) && !empty($result['SUB_3'])) { ?>
                <tr>
                    <td><?php echo (isset($result['SUB_3']) && $result['SUB_3'] != '') ? $result['SUB_3'] : '--' ?></td>
                    <td><?php echo ucwords(strtoupper((isset($result['SNAME_3']) && $result['SNAME_3'] != '') ? $result['SNAME_3'] : '--')) ?></td>
                    <td><?php echo (isset($result['MaxMarks']) && $result['MaxMarks'] != '') ? $result['MaxMarks'] : '--' ?> </td>

                    <td><?php echo (isset($result['MRK3']) && $result['MRK3'] != '') ? $result['MRK3'] : '--' ?></td>
                    <td><?php echo (isset($result['MRK_FIG3']) && $result['MRK_FIG3'] != '') ? $result['MRK_FIG3'] : '--' ?></td>
                </tr>
            <?php } ?>

            <?php if (isset($result['SUB_4']) && !empty($result['SUB_4'])) { ?>
                <tr>
                    <td><?php echo (isset($result['SUB_4']) && $result['SUB_4'] != '') ? $result['SUB_4'] : '--' ?></td>
                    <td><?php echo ucwords(strtoupper((isset($result['SNAME_4']) && $result['SNAME_4'] != '') ? $result['SNAME_4'] : '--')) ?></td>
                    <td><?php echo (isset($result['MaxMarks']) && $result['MaxMarks'] != '') ? $result['MaxMarks'] : '--' ?> </td>

                    <td><?php echo (isset($result['MRK4']) && $result['MRK4'] != '') ? $result['MRK4'] : '--' ?></td>
                    <td><?php echo (isset($result['MRK_FIG4']) && $result['MRK_FIG4'] != '') ? $result['MRK_FIG4'] : '--' ?></td>
                </tr>
            <?php } ?>

            <?php if (isset($result['SUB_5']) && !empty($result['SUB_5'])) { ?>
                <tr>
                    <td><?php echo (isset($result['SUB_5']) && $result['SUB_5'] != '') ? $result['SUB_5'] : '--' ?></td>
                    <td><?php echo ucwords(strtoupper((isset($result['SNAME_5']) && $result['SNAME_5'] != '') ? $result['SNAME_5'] : '--')) ?></td>
                    <td><?php echo (isset($result['MaxMarks']) && $result['MaxMarks'] != '') ? $result['MaxMarks'] : '--' ?> </td>

                    <td><?php echo (isset($result['MRK5']) && $result['MRK5'] != '') ? $result['MRK5'] : '--' ?></td>
                    <td><?php echo (isset($result['MRK_FIG5']) && $result['MRK_FIG5'] != '') ? $result['MRK_FIG5'] : '--' ?></td>
                </tr>
            <?php } ?>

            <?php if (isset($result['SUB_6']) && !empty($result['SUB_6'])) { ?>
                <tr>
                    <td><?php echo (isset($result['SUB_6']) && $result['SUB_6'] != '') ? $result['SUB_6'] : '--' ?></td>
                    <td><?php echo ucwords(strtoupper((isset($result['SNAME_6']) && $result['SNAME_6'] != '') ? $result['SNAME_6'] : '--')) ?></td>
                    <td><?php echo (isset($result['MaxMarks']) && $result['MaxMarks'] != '') ? $result['MaxMarks'] : '--' ?> </td>

                    <td><?php echo (isset($result['MRK6']) && $result['MRK6'] != '') ? $result['MRK6'] : '--' ?></td>
                    <td><?php echo (isset($result['MRK_FIG6']) && $result['MRK_FIG6'] != '') ? $result['MRK_FIG6'] : '--' ?></td>
                </tr>
            <?php } ?>

            <?php // if (isset($SubjectDataList) && !empty($SubjectDataList)) { 
            ?>

            <?php // foreach ($SubjectDataList as $SubjectData) { 
            ?>

            <!-- <tr>
                        <td><?php //echo (isset($SubjectData['SubjectCode']) && $SubjectData['SubjectCode'] != '') ? $SubjectData['SubjectCode'] : '--' 
                            ?></td>
                        <td><? //echo ucwords(strtoupper((isset($SubjectData['SubjectName']) && $SubjectData['SubjectName'] != '') ? $SubjectData['SubjectName'] : '--')) 
                            ?></td>
                        <td><?php //echo  (isset($SubjectData['MaxMarks']) && $SubjectData['MaxMarks'] != '') ? $SubjectData['MaxMarks'] : '--' 
                            ?> </td>
                        <td><?php //echo  (isset($SubjectData['OMFig']) && $SubjectData['OMFig'] != '') ? $SubjectData['OMFig'] : '--' 
                            ?></td>
                        <td><?php //echo  (isset($SubjectData['OMWord']) && $SubjectData['OMWord'] != '') ? $SubjectData['OMWord'] : '--' 
                            ?></td>
                    </tr> -->
            <?php //} 
            ?>
            <?php //} 
            ?>
        </tbody>
    </table>


    <?php
    $appno = (isset($result['APPNO'],) && $result['APPNO'] != '') ? base64_encode($result['APPNO']) : '';
    $hashkey = (isset($result['HashKey']) && $result['HashKey'] != '') ? base64_encode($result['HashKey']) : '';


    $qrString = Yii::$app->params['ScoreRootURL'] . "/scorecard/resultqr?applicationNumber=$appno&hashkey=$hashkey";
    // $qrString = Yii::$app->params['ScoreRootURL'] . "/scorecard/resultqr?applicationNumber=".$encryptData;
    $attributes = [
        'fill' => 'navy',
        'text' =>  $qrString,
        'rounded' => 50,
        'ecLevel' => 'M',
        'crisp' => false,
        'mSize' => 10,
        'back' => '#fff',
        'fill' => '#000000',
        'size' => 130,
        // 'ratio'=> 40,
        'options' => ['style' => 'display:inline']
    ];
    ?>
    <div class="row mt-2">
        <span id="newQRcode" align="center">
            <?= QrCodeWidget::widget($attributes); ?>
        </span>
    </div>
    <br>




    <!-- <div style="float:left;margin-top:15px;font-size:12px;"></div>
    <div style="float:right;margin-top:15px;"><img src="<?php //echo Url::base() 
                                                        ?>/images/SeniorDirectorSign44.jpg" width="100" height="30"> <br /><b>Senior Director,NTA</b> &nbsp;</div> -->

    <div style="float: left;"><strong>DATE : </strong> <?= date('Y-m-d H:i:s') ?></div>
    <div style="float: right;">
        <div class="text-center fw-bold">(Sd/-)</div><strong>Senior Director, (NTA)</strong>
    </div>

    <br><br>
    <div style="float: left; margin-top:15px; font-size: 15px;color:Black"><strong>Note: </strong></div>
    <br><br>
    <div class="imp-point score-table score-card2">
        <ol style="text-align:justify;font-size:12px;line-height:15px;">
            <li>This electronically generated Score Card is the official score declared by NTA and does not require any signature.</li>
            <li>Candidate particulars including Category and Person with Benchmark Disability (PwBD) have been indicated as mentioned by the candidate in the online application form.</li>
            <li>Candidate, if found submitting wrong information or tampering with this Score Card at any stage, will be considered as using unfair practices. <b>NTA will cancel the candidature and take legal action as per applicable laws.</b></li>
            <li>The National Testing Agency has taken due care while uploading the Score Card. However, in case of any inadvertent error, the NTA reserves the right to rectify the same at later stage.</li>
            <li>No separate intimation about Score Card shall be issued.</li>
        </ol>
    </div>

</body>
<br><br>
<br><br>



<table width="100%" style="margin-top: -26px;">
    <tr>
        <td style="text-align: left;border: 0px!important;">
            Application Number : <span style="padding:0px 10px;">
                <?= (isset($result['APPNO']) && $result['APPNO'] != '') ? ($result['APPNO']) : '' ?>
            </span>

        </td>
        <td style="text-align: center;border: 0px!important;">

            IP Address :<span style="padding:0px 10px;"><?= Yii::$app->request->getUserIP() ?></span>
        </td>
        <td style="text-align: right;border: 0px!important;">
            Generated On : <span style="padding:0px 10px;"><?php echo date('d-m-Y H:i:s') ?></span>
        </td>
    </tr>
</table>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
<script>
    $(document).ready(function() {
        //cntrl + p disable
        $(document).keydown(function(event) {
            if (event.ctrlKey == true && (event.which == '80')) {
                event.preventDefault();
            }
        });

        $("#printPageButton").click(function() {

            var getQRText = document.querySelector("#newQRcode");
            var barcodeValue = getQRText.querySelector("div").innerHTML;
            var getImgText = $('#emptyImage').html();
            if (($.trim().barcodeValue === "") || ($.trim().getImgText == "")) {
                alert("Image / Application Number QR Section is blank! Please regenerate your Score Card.");
                window.location.href = "<?php echo Url::base() ?>/scorecard/index";
                return;
            }
            //    For log generate
            var applicationNumber = $('#applicationNumber').val();
            setTimeout(function() {
                $.ajax({
                    url: 'print-click',
                    type: 'POST',
                    data: {
                        applicationNumber: applicationNumber,
                    },
                    success: function(response) {
                        console.log(response);
                    },
                    error: function(xhr, status, error) {
                        console.error(xhr.responseText);
                    }
                });
            }, 2000)
            $("#print-btn-show").click();
        });

        setTimeout(() => {
            var getQRTextOut = document.querySelector("#newQRcode");
            var barcodeValueOut = getQRTextOut.querySelector("div").innerHTML;
            var getImgText = $('#emptyImage').html();
            if (($.trim().barcodeValueOut === "") || ($.trim().getImgText == "")) {
                alert("Image / Application Number QR Section is blank!, Please regenerate your Score Card.");
                window.location.href = "<?php echo Url::base() ?>/scorecard/index";
                var divs = document.querySelectorAll('.score-table');
                for (var i = 0; i < divs.length; i++) {
                    divs[i].classList.add('no-qrcode');
                }
                return;
            }
        }, 2000);
    });
</script>

</html>