<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\captcha\captcha;
//use yii\captchaPDetail\captchaPDetail;
use app\modules\application\models\GenderMst;
use app\modules\application\models\CountryMst;
use app\modules\application\models\CasteCategoryMst;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;

use diggindata\kjua\QrCodeWidget;
$NtaNumber=123456;
$appno=$result['APPNO'];
?>
<!DOCTYPE html>
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Score Card List</title>
    <style>
        .qr-code {
            height: 119px;
            width: 133px;
        }

        /*this css work on print page default date time and page title print on page */
        /*@page { size: auto;  margin: 5mm 5mm; }*/
        /*End of this css work on print page default date time and page title print on page */
        body {
            font-family: Arial, Helvetica, sans-serif;
            font-size: 14px;
            line-height: 22px;
            color: #000;
        }

        p {
            margin-top: 0;
            margin-bottom: 0;
        }

        .logo {
            float: left;
            margin-right: 10px;
        }

        .logo_name {
            float: left;
            margin-top: 13px;
            font-size: 14px;
            font-weight: bold;
        }

        table tr td {
            padding: 2px 5px 5px 10px;
            border: 1px solid;
        }

        .centerContent {
            text-align: center;
        }

        .footer,
        .header-main,
        .topnavigation {
            display: none
        }

        marquee {
            display: none;
        }

        .content-body {
            padding: 0px !important;
        }

        @media print {
            table {
                page-break-inside: auto;
                line-height: 13px;
                font-size: 11px;
            }

            .no-qrcode {
                display: none;
            }

            #printPageButton {
                display: none;
            }

            tr {
                page-break-inside: avoid;
                page-break-after: auto
            }

            table tr td {
                padding: 2px 3px 3px 5px;
                border: 1px solid;
            }

            #printPageButton {
                display: none;
            }

            .midlogo {
                width: 150px;
                font-size: 10px;
                text-align: justify;
                line-height: 20px;
            }

            .imp-point ol li {
                font-size: 10px;
                line-height: 10px;
            }
        }
        @media only screen and (max-width: 768px) {
            /* For mobile phones: */
            .score-card2{
                width:170%;
            }
            }
    </style>
    <link href='https://fonts.googleapis.com/css?family=Libre Barcode 128 Text' rel='stylesheet'>
</head>

<body>
    <table class="score-table score-card2" width="100%" border="0" cellspacing="0" cellpadding="0" style=" margin-bottom: 2px;">
        <tr>
            <th align="left" scope="col" width="10%"><img src="<?php echo Url::base() ?>/images/scorecard_leftimg.png" width="90" style="width: 150px;"></th>
            <th align="center" scope="col" width="33%" style="font-size:13px;text-align: center;">
                <span class="midlogo"><strong>
                <?= Yii::$app->params['HeaderCentreText_ENGLISH'] ?> <BR>Score Card
                </strong></span>
            </th>
            <th align="right" scope="col" width="10%" style="font-size:14px;text-align: right;" width="90">
                <img width="150" src="<?php echo Url::base() ?>/images/scorecard_rightimg.png"/>
            </th>
        </tr>
    </table>
    <table class="score-table" width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
            <th align="center" scope="col" style="font-size:14px;text-align: center;width:100%;" colspan="2">
            </th>
            <th>
                <input type="button" id="printPageButton" value="Print" onclick="window.print()" />
            </th>
        </tr>
    </table>

    <table width="100%" border="1" cellspacing="0" cellpadding="5" style="border-collapse: collapse; border-color: #000;" class="score-table">
        <tr>
            <input type="hidden" value="<?= $appno; ?>" id="applicationNumber">
            <td width="25%"><strong>Roll Number </strong></td>
            <td width="17%"><?= (isset($result['roll']) && $result['roll'] != '') ? $result['roll'] : ''; ?></td>
            <td width="20%"><strong>Application No.</strong></td>
            <td width="18%"><?= (isset($result['appno']) && $result['appno'] != '') ? intval($result['appno']) : ''; ?></td>
            <td rowspan="5" align="center" width="18%">
                <?php
                $appno = (isset($result['appno']) && $result['appno'] != '') ? ($result['appno']) : '';
                $qrString= Yii::$app->params['ScoreRootURL']."/scorecard/resultqr?applicationNumber=$appno&apprefno=$NtaNumber";
                $attributes = [
                    'fill' => 'navy',
                    'text' =>  $qrString,
                    'rounded' => 50,
                    'ecLevel' => 'M',
                    'crisp' => false,
                    'mSize' => 10,
                    'back' => '#fff',
                    'fill' => '#000000',
                    'size' => 130,
                    // 'ratio'=> 40,
                    'options' => ['style' => 'display:inline']
                ];
                ?>
                <span id="newQRcode">
                    <?= QrCodeWidget::widget($attributes); ?>
                </span>
            </td>
            <td rowspan="5" align="center" width="18%">
                    <?php
                    //  $CandidatePhotoUrl = (!empty($ImagePath)) ? $ImagePath. $result['CandidatePhoto'] : null;
                    $CandidatePhotoUrl ='ddd';
                    if (isset($result['CandidatePhoto']) && !empty($result['CandidatePhoto']) && !empty(@getimagesize($CandidatePhotoUrl))) {
                        echo Html::img($CandidatePhotoUrl, ['alt' => 'user pic', 'height' => '130', 'width' => '136']);
                    }
                    ?>
                </span>
            </td>
        </tr>
        <tr>
            <td align="left" scope="row"><strong>Candidate’s Name</strong></td>
            <td colspan="3"><?= ucwords(strtoupper((isset($result['cname']) && $result['cname'] != '') ? $result['cname'] : '--')) ?></td>
        </tr>
        <tr>
            <td align="left" scope="row"><strong>Mother’s Name</strong></td>
            <td><?= ucwords(strtoupper((isset($result['mname']) && $result['mname'] != '') ? $result['mname'] : '--')) ?></td>
            <td width="20%" scope="row"><strong>Date of Birth (DD/MM/YYYY)</strong></td>
            <td width="18%"><?= $result['DOB'] ?></td>
        </tr>
        <tr>
            <td align="left" scope="row"><strong>Father’s Name</strong></td>
            <td><?= ucwords(strtoupper((isset($result['fname']) && $result['fname'] != '') ? $result['fname'] : '--')) ?></td>
            <td width="25%" scope="row"><strong>Gender</strong></td>
            <td width="17%"> <?= ucwords(strtoupper((isset($result['sex_n']) && $result['sex_n'] != '') ? $result['sex_n'] : '--')) ?></td>
        </tr>
        <tr>
            <td width="25%" scope="row"><strong>Person with Disability (PwD)</strong></td>
            <td width="17%"> <?= ucwords(strtolower((isset($result['ph']) && $result['ph'] != '') ? $result['ph'] : '--')) ?></td>
            <td width="20%" scope="row"><strong>Nationality</strong></td>
            <td width="15%"><?= ucwords(strtoupper((isset($result['nation_n']) && $result['nation_n'] != '') ? $result['nation_n'] : '--')) ?></td>
        </tr>
    </table>
    <table class="score-table score-card2" width="100%" border="1" cellspacing="0" cellpadding="5" style="border-collapse: collapse; border-color: #000;">
        <tr>
            <td width="20%" scope="row" colspan="2" align="left"><strong>Percentile Score Obtained</strong></td>
            <td width="50%" scope="row" colspan="2" align="right"><small><i><?= (((isset($result['HashID']) && $result['HashID'] != '') ? $result['HashID'] : '--')) ?></i></small></td>
        </tr>
        <tr>
            <td width="20%" scope="row"><strong>Physics</strong></td>
            <td width="10%" scope="row"><?= ucwords(strtolower((isset($result['ptile_phy']) && $result['ptile_phy'] != '') ? $result['ptile_phy'] : '--')) ?></td>
            <td width="30%"><strong>Total Marks Obtained (out of 720)</strong></td>
            <td width="20%" scope="row"><?= ucwords(strtolower((isset($result['total']) && $result['total'] != '') ? $result['total'] : '--')) ?></td>
        </tr>
        <tr>
            <td width="20%" align="left" scope="row"><strong>Chemistry</strong></td>
            <td width="10%">
            <?= ucwords(strtolower((isset($result['ptile_che']) && $result['ptile_che'] != '') ? $result['ptile_che'] : '--')) ?>
            </td>
            <td width="30%" align="left"><strong>Total Marks Obtained (out of 720) in Words</strong></td>
            <td width="20%" scope="row"><?= ucwords(strtolower((isset($result['mrk_fig']) && $result['mrk_fig'] != '') ? $result['mrk_fig'] : '--')) ?></td>
        </tr>
        <tr>

        <tr>
            <td width="20%" align="left" scope="row"><strong>Biology (Botany & Zoology)</strong></td>
            <td width="10%">
            <?= ucwords(strtolower((isset($result['ptile_bio']) && $result['ptile_bio'] != '') ? $result['ptile_bio'] : '--')) ?>            </td>
            <td width="10%" align="left"><strong>Total Percentile Score Obtained in Words</strong></td>
            <td width="40%" scope="row"><?= ucwords(strtolower((isset($result['ps_fig']) && $result['ps_fig'] != '') ? $result['ps_fig'] : '--')) ?></td>
        </tr>

        <tr>
            <td width="20%" align="left" scope="row"><strong>Total</strong></td>
            <td width="10%">
            <?= ucwords(strtolower((isset($result['ptile']) && $result['ptile'] != '') ? $result['ptile'] : '--')) ?>            </td>
            <td width="30%" align="left"><strong>NEET All India Rank</strong></td>
            <td width="20%" scope="row"><?= ucwords(strtolower((isset($result['neet_r']) && $result['neet_r'] != '') ? $result['neet_r'] : '--')) ?></td>
        </tr>
    </table>
    <table width="100%" border="1" cellspacing="0" cellpadding="5" style="border-collapse: collapse; border-color: #000;" class="score-table score-card2">
        <tr>
            <td width="20%" align="left" scope="row"><strong>All India Rank for Counselling</strong></td>
            <td width="20%" align="left" scope="row"><strong>Category</strong></td>
            <td width="20%" align="left" scope="row"><strong>Category Rank</strong></td>
            <td width="20%" align="left" scope="row"><strong>PwD</strong></td>
            <td width="20%" align="left" scope="row"><strong>Category-PwD Rank</strong></td>
        </tr>
        <tr>
            <td width="20%" align="left" scope="row"><?= ucwords(strtolower((isset($result['ai_rank']) && $result['ai_rank'] != '') ? $result['ai_rank'] : '--')) ?></td>
            <td width="20%" align="left" scope="row"><?= ucwords(strtoupper((isset($result['cat']) && $result['cat'] != '') ? $result['cat'] : '--')) ?></td>
            <td width="20%" align="left" scope="row"><?= ucwords(strtolower((isset($result['neet_cat_r']) && $result['neet_cat_r'] != '') ? $result['neet_cat_r'] : '--')) ?></td>
            <td width="20%" align="left" scope="row"><?= ucwords(strtolower((isset($result['ph']) && $result['ph'] != '') ? $result['ph'] : '--')) ?></td>
            <td width="20%" align="left" scope="row"><?= ucwords(strtolower((isset($result['neet_pwd_r']) && $result['neet_pwd_r'] != '') ? $result['neet_pwd_r'] : '--')) ?></td>
        </tr>
    </table>
    <table class="score-table score-card2" width="100%" border="1" cellspacing="0" cellpadding="5" style="border-collapse: collapse; border-color: #000;">
        <tr>
        <td width="20%" scope="row" colspan="6" align="left"><strong>CUT - OFF PERCENTILE AND SCORE AS PER NMC/DCI/NCISM REGULATIONS</strong></td>
        <td width="50%" scope="row" colspan="2" align="right"><small><i><?= (((isset($result['NtaNumber']) && $result['NtaNumber'] != '') ? $result['NtaNumber'] : '--')) ?></i></i></small></td>


        </tr>
        <tr>
            <td width="10%" align="left" scope="row"><strong>Category</strong></td>
            <td width="15%" align="left" scope="row"><strong>Cut off Percentile</strong></td>
            <td width="15%" align="left" scope="row"><strong>Cut off Score</strong></td>
            <td width="10%" align="left" scope="row"><strong>No. of Candidates</strong></td>
            <td width="10%" align="left" scope="row"><strong>Category</strong></td>
            <td width="15%" align="left" scope="row"><strong>Cut off Percentile</strong></td>
            <td width="15%" align="left" scope="row"><strong>Cut off Score</strong></td>
            <td width="10%" align="left" scope="row"><strong>No. of Candidates</strong></td>
        </tr>
        <tr>
            <td width="10%" align="left" scope="row"><strong>UR/EWS</strong></td>
            <td width="15%" align="left" scope="row">50<sup>th</sup> Percentile</td>
            <td width="15%" align="left" scope="row">720-164</td>
            <td width="10%" align="left" scope="row">1165904</td>
            <td width="10%" align="left" scope="row">UR/EWS-PwD</td>
            <td width="15%" align="left" scope="row">45<sup>th</sup> Percentile</td>
            <td width="15%" align="left" scope="row">163-146</td>
            <td width="10%" align="left" scope="row">455</td>
        </tr>
        <tr>
            <td width="10%" align="left" scope="row"><strong>OBC</strong></td>
            <td width="15%" align="left" scope="row">40<sup>th</sup> Percentile</td>
            <td width="15%" align="left" scope="row">163-129</td>
            <td width="10%" align="left" scope="row">100769</td>
            <td width="10%" align="left" scope="row">OBC-PwD</td>
            <td width="15%" align="left" scope="row">40<sup>th</sup> Percentile</td>
            <td width="15%" align="left" scope="row">145-129</td>
            <td width="10%" align="left" scope="row">270</td>
        </tr>
        <tr>
            <td width="10%" align="left" scope="row"><strong>SC</strong></td>
            <td width="15%" align="left" scope="row">40<sup>th</sup> Percentile</td>
            <td width="15%" align="left" scope="row">163-129</td>
            <td width="10%" align="left" scope="row">34326</td>
            <td width="10%" align="left" scope="row">SC-PwD</td>
            <td width="15%" align="left" scope="row">40<sup>th</sup> Percentile</td>
            <td width="15%" align="left" scope="row">145-129</td>
            <td width="10%" align="left" scope="row">55</td>
        </tr>
        <tr>
            <td width="10%" align="left" scope="row"><strong>ST</strong></td>
            <td width="15%" align="left" scope="row">40<sup>th</sup> Percentile</td>
            <td width="15%" align="left" scope="row">163-129</td>
            <td width="10%" align="left" scope="row">14478</td>
            <td width="10%" align="left" scope="row">ST-PwD</td>
            <td width="15%" align="left" scope="row">40<sup>th</sup> Percentile</td>
            <td width="15%" align="left" scope="row">141-129</td>
            <td width="10%" align="left" scope="row">11</td>
        </tr>
    </table>
    <div style="float:left;margin-top:15px;font-size:12px;"><strong>DATE OF DECLARATION OF RESULT: </strong>  <?= (isset($result['dateofdecl']) && $result['dateofdecl'] != '') ? $result['dateofdecl'] : ''; ?></div>
    <div style="float:right;margin-top:15px;"><img src="<?php echo Url::base() ?>/images/director.jpg" width="100" height="30"> <br /><b>Senior Director,NTA</b> &nbsp;</div>
    <br><br>
    <div style="float: left; margin-top:15px; font-size: 12px;color:red"><strong>IMPORTANT INFORMATION: </strong></div>
    <br><br>
    <div class="imp-point score-table score-card2">
        <ol style="text-align:justify;font-size:9px;line-height:10px;">
            <li>Candidate particulars have been indicated as mentioned by her/him in the online Application Form, which is subject to verification by the admitting authorities.</li>
            <li>Candidate, if found submitting wrong information or <b>tampering with this Score Card at any stage,</b> will be considered as using unfair practices. <b>NTA will cancel the candidature and take legal action as per applicable laws.</b></li>
            <li>Under the UR Category, the candidates from other categories i.e. General-EWS, OBC, SC, ST, and PwD but meeting UR Cut off Percentile are also included.</li>
            <li>In case of two or more candidates obtaining equal marks in NEET (UG) - 2024, the inter-se-merit of such candidates has been determined as per Chapter 15 {15.2} of Information Bulletin of NEET (UG) -2024 to generate NEET All India Rank. </li>
            <li>NTA has declared only NEET All India Rank and All India Rank for Counselling. Counselling Authorities will invite applications from the successful candidates and prepare their own merit list as per their rules based on the All India Rank. Candidates may apply to the designated Counselling Authorities as per their eligibility. NTA has no role to play in this exercise.</li>
            <li>Details of the various Counselling Authorities are given in Appendix II of the Information Bulletin. The same may also be confirmed from respective websites. Although, due care has been taken to put their correct addresses and contact details, NTA is not responsible for any changes therein.</li>
            <li>In the NEET (UG) – 2024 result, the category of the candidates is as per details submitted by them in the online Application Form. In case, if the category of candidate falls under any other category in the State Category List, candidates may apply to designated Counselling Authorities with their category as per State Category List and designated Counselling Authorities will verify the same. The same is the case with domicile. Domicile will be governed by respective admitting authority rules. <b>NTA will NOT change any details of the candidates after the declaration of the result</b>.</li>
            <li>All candidates are advised to remain in touch with the websites of Counselling Authorities for updates.</li>
            <li>Qualified Candidates having Benchmark Disabilities may refer to Information Bulletin specifically Chapter 6 {6.3, 6.7}. It may be noted that the eligibility in the examination under the category "Persons with Disability" is purely provisional to appear in the examination and does NOT guarantee a seat to the candidate under the respective category. The candidature for admission to MBBS program under PwBD category under various colleges will be governed as per relevant NMC guidelines which are given under Appendix-H1 of Guidelines regarding Admission of Students with "Specified Disabilities '' under the Right of Persons with Disabilities Act, 2016 with respect to admission in MBBS course during post-examination and counselling process issued on 01.08.2023.</li>
            <li>Qualifying in NEET (UG) - 2024 does not confer any right for admission to Medical/Dental Colleges. Selection of qualified candidates in NEET (UG) - 2024 for admission to Medical/Dental Colleges is subject to merit position and satisfying the admission criteria as laid down in the rules of the Central Government/State Government /Universities / Institutions concerned.</li>
        </ol>
    </div>

    <div style="float: left; font-size: 10px;color:red;margin-top: -15px;"><strong>Note: </strong></div><br>
    <div class="imp-point score-table score-card2" style="margin-top:-14px;">
        <ol style="font-size:9px;line-height:10px;">
            <li><b>Percentile Scores</b> are based on the relative performance of all those who appeared for the examination.</li>
            <li><b>The Percentile scores of a Candidate have been calculated as follows:</b><br>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                <b style="text-decoration: underline;">100 X Number of candidates appeared in the examination with raw score LESS than the candidate</b><br><b>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Total number of candidates who appeared in the examination.</b>
            </li>
            <li><b>The Percentile Score</b> is not the same as the percentage of marks obtained.</li>
            <li><b>Total Percentile Score</b> is <b>NOT</b> an aggregate or average of the Percentile Scores of individual subjects.</li>
        </ol>
    </div>
</body>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
<script>
    $(document).ready(function() {
        //cntrl + p disable
        $(document).keydown(function(event) {
            if (event.ctrlKey == true && (event.which == '80')) {
                event.preventDefault();
            }
        });

        $("#printPageButton").click(function() {
        
            var getQRText = document.querySelector("#newQRcode");
            var barcodeValue = getQRText.querySelector("div").innerHTML;
            var getImgText = $('#emptyImage').html();
            if (($.trim().barcodeValue === "") || ($.trim().getImgText == "")) {
                alert("Image / Application Number QR Section is blank! Please regenerate your Score Card.");
                window.location.href = "<?php echo Url::base() ?>/scorecard/index";
                return;
            }
            //    For log generate
            var applicationNumber = $('#applicationNumber').val();
            setTimeout(function() {
                $.ajax({
                    url: 'print-click',
                    type: 'POST',
                    data: {
                        applicationNumber: applicationNumber,
                    },
                    success: function(response) {
                        console.log(response);
                    },
                    error: function(xhr, status, error) {
                        console.error(xhr.responseText);
                    }
                });
            }, 2000)
            $("#print-btn-show").click();
        });

        setTimeout(() => {
            var getQRTextOut = document.querySelector("#newQRcode");
            var barcodeValueOut = getQRTextOut.querySelector("div").innerHTML;
            var getImgText = $('#emptyImage').html();
            if (($.trim().barcodeValueOut === "") || ($.trim().getImgText == "")) {
                alert("Image / Application Number QR Section is blank!, Please regenerate your Score Card.");
                window.location.href = "<?php echo Url::base() ?>/scorecard/index";
                var divs = document.querySelectorAll('.score-table');
                for (var i = 0; i < divs.length; i++) {
                    divs[i].classList.add('no-qrcode');
                }
                return;
            }
        }, 2000);
    });
</script>

</html>